Subject: Re: Last Call: draft-nottingham-http-link-header (Web Linking) to Proposed Standard

From: Julian Reschke <[email-masked]>
Date: Mon, 31 Aug 2009 11:58:44 +0200

Noah Slater wrote:
> ...
> Ah, okay.
> 
> The only way that would work is if you were considering a document that existed
> in multiple hierarchies, and you took the subject of "a" to be any direct parent
> within that collection of hierarchies, instead of any parent in any hierarchy.
> 
> This an incorrect interpretation of the my registration.
> ...

I agree with that; I just wanted to point out that "a parent document" 
is not necessarily going to convince people that it includes any 
*ancestor*. It appears the use of "up" in CMIS therefore is incorrect 
and needs to be replaced by something else (now including the Atom 
mailing list).

> Is it important that we clarify this? For any person that argues for that
> interpretation, would it not suffice to argue out that the language is loose
> enough that there is no reasonable way to claim one interpretation to the
> exclusion of another. Maybe even linking to this email.
> 
> What do you think we should do?
> ...

I think it'll be sufficient to tune the text once "up" gets 
re-registered when the new registry is created. In general this shows 
that it's dangerous to register relations minted by somebody else 
(HTML5) when that spec isn't yet stable.

BR, Julian